#!/usr/bin/env ruby
# -*- coding: utf-8 -*-
puts "宇宙クイズを始めるよ"
puts "準備はいい??"
puts "Ready start!!"
puts "     "
puts "第一問"
puts "太陽系はいくつ??"
puts "1：5個"
puts "2：8個"
puts "3：11個"
while true
print "答を入力："
kotae = gets.chomp.to_i #解答を入力
if kotae == 1
puts "ブブー！不正解..."
break
elsif kotae == 2
puts "ピンポーン！正解！！"
break
elsif kotae == 3
puts "ブブー！不正解..."
break
else
puts "その選択肢はないよ"
redo
end
end
printf("正解は2番でした\n")

sleep(2)
puts "    "
puts "第2問"
puts "宇宙は何でできた??"
puts "1：ビッグバン"
puts "2：もともとあった"
while true
print "答を入力："
kotae = gets.chomp.to_i #解答を入力
if kotae == 1
puts "ピンポーン!正解!!"
break
elsif kotae == 2
puts "ブブー!不正解..."
break
else
puts "その選択肢はないよ"
redo
end
end
printf("正解は1番でした\n")

sleep(2)
puts "   "
puts "第3問"
puts "2002年にノーベル物理学賞を受賞した小柴昌俊氏が実験施設スーパーカミオカンデで観測研究しているものは何でしょう??"
puts "1：ヒッグス粒子"
puts "2：ニュートリノ電子"
while true
print "答を入力："
kotae = gets.chomp.to_i #解答を入力
if kotae == 1
puts "ブブー！不正解..."
break
elsif kotae == 2
puts "ピンポーン！正解！！"
break
else
puts "その選択肢はないよ"
redo
end
end
printf("正解は2番でした\n")

sleep(2)
puts "    "
puts "第4問"
puts "ガリレオが発見していないものは??"
puts "1：天王星"
puts "2：木星の衛星"
puts "3：月のクレーター"
while true
print "答を入力："
kotae = gets.chomp.to_i #解答を入力
if kotae == 2
puts "ブブー！不正解..."
break
elsif kotae == 1
puts "ピンポーン！正解！！"
break
else
puts "その選択肢はないよ"
redo
end
end
printf("正解は1番でした\n")

sleep(2)
puts "    "
puts "第5問"
puts "人類史上初め人工衛星の打ち上げに成功した国は??"
puts "1：アメリカ"
puts "2：ソ連(ロシア)"
while true
print "答を入力："
kotae = gets.chomp.to_i #解答を入力
if kotae == 1
puts "ブブー！不正解..."
break
elsif kotae == 2
puts "ピンポーン！正解！！"
break
else
puts "その選択肢はないよ"
redo
end
end
printf("正解は2番でした\n")

sleep(2)
puts "    "
puts "第6問"
puts "日本で最も星がきれいに見える季節はいつ??"
puts "1：春と秋"
puts "2：夏"
puts "3：冬"
while true
puts "答を入力"
kotae = gets.chomp.to_i #解答を入力
if kotae == 1
puts "ブブー!不正解..."
break
elsif kotae == 2
puts "ブブー!不正解..."
break
elsif kotae == 3
puts "ピンポーン!正解!!"
break
else
puts "その選択肢はないよ"
redo
end
end
printf("正解は3番でした\n")

sleep(2)
puts "    "
puts "何問正解できた??"
puts "またね!!"
